# dkim_privkey_load()

[back to index]

SYNOPSIS

    #include <dkim.h>
    DKIM_STAT dkim_privkey_load(
    	DKIM *dkim
    );

Attempt to load and prepare a private key for signing.

DESCRIPTION

Called When | `dkim_privkey_load()` is called after `dkim_sign()` is called to create a message signing handle. It attemps to parse the key provided as an argument to that function and extract some parameters of it. This same operation will be done implicitly by `dkim_eom()` if not called explicitly beforehand.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()`.

RETURN VALUES

- `DKIM_STAT_OK` indicates the key was successfully parsed and loaded by the crypto library.
- `DKIM_STAT_NORESOURCE` indicates the key could not be parsed.

NOTES

- This library relies on a cryptography library to compute hashes and sign or verify them. It has been observed that different libraries have different levels of strictness about parsing keys provided to them. This is property is not under control of this library; this library merely responds to error codes that might be passed up from the crypto library.

Copyright (c) 2011, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.